Next: CO_MIN, Previous: CO_BROADCAST, Up: Intrinsic Procedures [Contents][Index]

### 9.64 `CO_MAX` — Maximal value on the current set of images

Description:

  `CO_MAX` determines element-wise the maximal value of A on all images of the current team. If RESULT_IMAGE is present, the maximum values are returned in A on the specified image only and the value of A on the other images become undefined. If RESULT_IMAGE is not present, the value is returned on all images. If the execution was successful and STAT is present, it is assigned the value zero. If the execution failed, STAT gets assigned a nonzero value and, if present, ERRMSG gets assigned a value describing the occurred error.

Standard:

  Technical Specification (TS) 18508 or later

Class:

  Collective subroutine

Syntax:

  `CALL CO_MAX(A [, RESULT_IMAGE, STAT, ERRMSG])`

Arguments:

  A | shall be an integer, real or character variable, which has the same type and type parameters on all images of the team.
  RESULT_IMAGE | (optional) a scalar integer expression; if present, it shall have the same the same value on all images and refer to an image of the current team.
  STAT | (optional) a scalar integer variable
  ERRMSG | (optional) a scalar character variable

Example:

      program test
        integer :: val
        val = this_image ()
        call co_max (val, result_image=1)
        if (this_image() == 1) then
          write(*,*) "Maximal value", val  ! prints num_images()
        end if
      end program test

See also:

  CO_MIN, CO_SUM, CO_REDUCE, CO_BROADCAST